Subject: Re: bug#63731: [PATCH] Support Emoji Variation Sequence 16 (FE0F) where appropriate

From: Robert Pluim <[email-masked]>
Date: Fri, 26 May 2023 19:35:56 +0200

>>>>> On Fri, 26 May 2023 20:27:26 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Fri, 26 May 2023 18:24:02 +0200
    >> 
    >> >>>>> On Fri, 26 May 2023 18:52:22 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    Eli> Anyway, I think you should install the patch on emacs-29, and we
    Eli> should then try to fix the text-representation bug with VS-15 on
    Eli> master.  (I guess it requires a change to font.c or something?)
    >> 
    >> It requires something that answers the question "what font would we
    >> use for this codepoint if it was not an emoji?". Maybe we can have a
    >> separate fontset that pretends that the emoji script is equivalent to
    >> symbol? Or invent some kind of 'text-presentation-font' property to
    >> put somewhere?

    Eli> I'm not sure I understand why we don't select the right font by
    Eli> default.  Selecting a non-Emoji font for a non-Emoji codepoints should
    Eli> not need any special tricks.

It doesnʼt but in this case it *is* an emoji codepoint, so it displays
as emoji because of font.c, even when followed by VS-15.

Robert
--